=== doc-translations/CMakeLists.txt ===
add_subdirectory( et_kxstitch/kxstitch )
add_subdirectory( nl_kxstitch/kxstitch )
add_subdirectory( pt_kxstitch/kxstitch )
add_subdirectory( pt_BR_kxstitch/kxstitch )
add_subdirectory( sv_kxstitch/kxstitch )
add_subdirectory( uk_kxstitch/kxstitch )
