=== doc/CMakeLists.txt ===
KDE4_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kxstitch)
KDE4_CREATE_MANPAGE(man-kxstitch.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
