=== icons/CMakeLists.txt ===
file(GLOB _pngfile "*.png")
install(FILES ${_pngfile} DESTINATION ${DATA_INSTALL_DIR}/kxstitch/toolbar)
