=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
