=== debian/changelog ===
kxstitch (1.3.0-1build1) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2017 13:33:52 +0100

kxstitch (1.3.0-1) unstable; urgency=medium

  * Upstream release.

 -- Jeremy Whiting <jpwhiting@kde.org>  Wed, 20 Jan 2016 18:44:20 -0700

kxstitch (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #796484)

 -- Jeremy Whiting <jpwhiting@kde.org>  Mon, 31 Aug 2015 18:29:10 -0600
