=== debian/control ===
Source: kxstitch
Maintainer: Jeremy Whiting <jpwhiting@kde.org>
Section: misc
Priority: optional
Standards-Version: 3.9.6
Build-Depends: cmake,
               debhelper (>= 9),
               imagemagick,
               kdelibs5-dev,
               libmagick++-dev,
               libmagickcore-6-arch-config,
               libqt4-dev

Package: kxstitch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kxstitch-common
Description: Cross stitch pattern editor
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.

Package: kxstitch-common
Architecture: all
Depends: ${misc:Depends}
Description: Data files, icons and documentation for kxstitch
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.
 .
 This package contains the data files for KXStitch.
