=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=4
%:
	dh $@
