=== debian/watch ===
version=3
http://download.kde.org/stable/kxstitch/([\d\.]*)/src/kxstitch-([^-]*)\.tar.bz2
