## kxstitch 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,44 @@
-cmake_minimum_required(VERSION 2.8.9)
-
-if (POLICY CMP0002)
-    cmake_policy(SET CMP0002 OLD)
-endif (POLICY CMP0002)
+cmake_minimum_required(VERSION 2.8.12)
+
+if (POLICY CMP0063)
+    cmake_policy(SET CMP0063 NEW)
+endif (POLICY CMP0063)
 
 project (kxstitch)
 
-find_package (KDE4 REQUIRED)
+find_package (ECM REQUIRED NO_MODULE)
+set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include (KDEInstallDirs)
+include (KDECMakeSettings)
+include (KDECompilerSettings)
+include (ECMInstallIcons)
+include (FeatureSummary)
+
+kde_enable_exceptions()
+
+find_package (Qt5 CONFIG REQUIRED
+    Core
+    PrintSupport
+    Widgets
+    X11Extras
+)
+
+find_package (KF5DocTools)
+
+find_package (KF5 REQUIRED COMPONENTS
+    Config
+    ConfigWidgets
+    Completion
+    I18n
+    KIO
+    TextWidgets
+    WidgetsAddons
+    XmlGui
+)
+
 find_package (ImageMagick COMPONENTS MagickCore Magick++ REQUIRED)
-find_package (X11)
+find_package (X11 REQUIRED)
 find_package (Doxygen)
 find_package (SharedMimeInfo)
 
@@ -19,7 +49,7 @@
                        COMMENT "Generating API documentation with Doxygen" VERBATIM)
 endif (DOXYGEN_FOUND)
 
-include_directories (${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src)
 # use both the _DIR and _DIRS variables, since the former are available
 # only in older cmake versions, while the latter only in newer ones
 include_directories (${ImageMagick_Magick++_INCLUDE_DIR} ${ImageMagick_MagickCore_INCLUDE_DIR})
@@ -93,47 +123,34 @@
     src/TextToolDlg.cpp
 )
 
+file(GLOB kxstitch_UI ${CMAKE_CURRENT_SOURCE_DIR}/ui/*.ui)
+
+ki18n_wrap_ui(kxstitch_SRCS ${kxstitch_UI})
+
 add_subdirectory(icons)
 add_subdirectory(schemes)
 add_subdirectory(symbols)
 add_subdirectory(doc)
 
-kde4_add_kcfg_files(kxstitch_SRCS configuration.kcfgc)
-
-kde4_add_ui_files(kxstitch_SRCS
-    ui/CalibrateFloss.ui
-    ui/ExtendPattern.ui
-    ui/FileProperties.ui
-    ui/ImageElement.ui
-    ui/KeyElement.ui
-    ui/ImportImage.ui
-    ui/LibraryFilePaths.ui
-    ui/LibraryManager.ui
-    ui/LibraryPatternProperties.ui
-    ui/NewFloss.ui
-    ui/PageProperties.ui
-    ui/PaletteManager.ui
-    ui/PatternElement.ui
-    ui/PrintSetup.ui
-    ui/SymbolSelector.ui
-    ui/TextElement.ui
-    ui/TextTool.ui
-    ui/EditorConfigPage.ui
-    ui/PaletteConfigPage.ui
-    ui/PatternConfigPage.ui
-    ui/ImportConfigPage.ui
-    ui/LibraryConfigPage.ui
-    ui/PrinterConfigPage.ui
-)
-
-kde4_install_icons(${ICON_INSTALL_DIR})
-
-kde4_add_executable (kxstitch ${kxstitch_SRCS})
-
-target_link_libraries (kxstitch ${KDE4_KDEUI_LIBS}
-                       ${KDE4_KIO_LIBS}
-                       ${ImageMagick_Magick++_LIBRARY} ${ImageMagick_MagickCore_LIBRARY}
-                       ${X11_LIBRARIES})
+kconfig_add_kcfg_files(kxstitch_SRCS configuration.kcfgc)
+
+add_executable (kxstitch ${kxstitch_SRCS})
+
+target_link_libraries (kxstitch
+    Qt5::Core
+    Qt5::PrintSupport
+    Qt5::Widgets
+    Qt5::X11Extras
+    KF5::Completion
+    KF5::ConfigGui
+    KF5::KIOFileWidgets
+    KF5::I18n
+    KF5::TextWidgets
+    KF5::WidgetsAddons
+    KF5::XmlGui
+    ${ImageMagick_Magick++_LIBRARY} ${ImageMagick_MagickCore_LIBRARY}
+    ${X11_LIBRARIES}
+)
 
 set (WITH_PROFILING OFF CACHE BOOL "Build with profiling support")
 
@@ -141,6 +158,10 @@
     add_definitions( -pg )
     set_target_properties (kxstitch PROPERTIES LINK_FLAGS -pg)
 endif (WITH_PROFILING)
+
+if (SILENCE_DEPRECATED)
+    add_definitions( -Wno-deprecated-declarations )
+endif (SILENCE_DEPRECATED)
 
 exec_program (Magick++-config ARGS --cxxflags OUTPUT_VARIABLE magick_config)
 
@@ -168,22 +189,32 @@
 message (STATUS "Set magic_config_quantum: " ${magick_config_quantum})
 message (STATUS "Set magic_config_hdri: " ${magick_config_hdri})
 
-add_definitions( -DQT_NO_COMPAT )
-add_definitions( -DKDE_NO_COMPAT )
-add_definitions( -fexceptions )
-add_definitions( ${magick_config_hdri} )
-add_definitions( ${magick_config_quantum} )
+add_definitions(
+    -DQT_NO_COMPAT
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_TO_ASCII
+    -DKDE_NO_COMPAT
+    -DQT_NO_URL_CAST_FROM_STRING
+    ${magick_config_hdri}
+    ${magick_config_quantum}
+)
+
+if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
+    message (STATUS "Processing translations")
+    ki18n_install(po)
+    kdoctools_install(po)
+endif(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
 
 install (TARGETS kxstitch DESTINATION ${BIN_INSTALL_DIR})
-install (FILES kxstitchui.rc DESTINATION ${DATA_INSTALL_DIR}/kxstitch)
+install (FILES kxstitchui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kxstitch)
 install (FILES kxstitch.kcfg DESTINATION ${KCFG_INSTALL_DIR})
-install (FILES kxstitch.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install (FILES org.kde.kxstitch.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install (FILES org.kde.kxstitch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 IF (SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
     install (FILES kxstitch.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
     update_xdg_mimetypes (${XDG_MIME_INSTALL_DIR})
 ENDIF(SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
-find_package(Msgfmt REQUIRED)
-find_package(Gettext REQUIRED)
-add_subdirectory( po )
-add_subdirectory( doc-translations )
+
+feature_summary (WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
