=== symbols/CMakeLists.txt ===
file(GLOB _symbols "*.sym")
install(FILES ${_symbols} DESTINATION ${DATA_INSTALL_DIR}/kxstitch/symbols)
