=== debian/changelog ===
kxstitch (2.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with Qt 5.11. (Closes: #906776)

 -- Adrian Bunk <bunk@debian.org>  Mon, 17 Sep 2018 20:47:24 +0300

kxstitch (2.1.1-1) unstable; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.qt5 port. (Closes: #875004)
  * Update copyright.
  * Update control, rules, install files for port changes.
  * Added VCS entries, Homepage to control
  * Bumped standards  version to 4.1.3
  * Bumped compat to 11
  * Updated watch file to https, pgpmode, version 4.
  * Add upstream signing key.
  * Add tests for adt.
  * Fix dependency version for ECM.
  * wrap-and-sort.
  * Add build dependencies as required by cmake.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.
  * Drop imagemagick from build dependencies, it is not needed.
  * Replace libmagick++-dev with libmagick++-6.q16-dev. The first is a
    transitional "dummy" package.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 27 Mar 2018 20:36:07 -0300
