=== debian/control ===
--- 
+++ 
@@ -1,19 +1,32 @@
 Source: kxstitch
-Maintainer: Jeremy Whiting <jpwhiting@kde.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Scarlett Clark <sgclark@kde.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.6
-Build-Depends: cmake,
-               debhelper (>= 9),
-               imagemagick,
-               kdelibs5-dev,
-               libmagick++-dev,
-               libmagickcore-6-arch-config,
-               libqt4-dev
+Build-Depends: cmake (>= 2.8.12~),
+               debhelper (>= 11),
+               extra-cmake-modules,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5doctools-dev,
+               libkf5i18n-dev,
+               libkf5kio-dev,
+               libkf5textwidgets-dev,
+               libkf5widgetsaddons-dev,
+               libkf5xmlgui-dev,
+               libmagick++-6.q16-dev,
+               libqt5x11extras5-dev,
+               qtbase5-dev,
+               shared-mime-info
+Standards-Version: 4.1.3
+Homepage: https://www.kde.org/applications/graphics/kxstitch
+Vcs-Browser: https://salsa.debian.org/git/pkg-kde/kde-extras/kxstitch.git
+Vcs-Git: https://salsa.debian.org/git/pkg-kde/kde-extras/kxstitch
 
 Package: kxstitch
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, kxstitch-common
+Depends: kxstitch-common, ${misc:Depends}, ${shlibs:Depends}
 Description: Cross stitch pattern editor
  KXStitch is a program that lets you create cross stitch patterns and charts.
  Patterns can be created from scratch on a user defined size of grid, which
