## kxstitch 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 2.8.12)
+
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 if (POLICY CMP0063)
     cmake_policy(SET CMP0063 NEW)
