=== doc/CMakeLists.txt ===
KDOCTOOLS_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kxstitch)
KDOCTOOLS_CREATE_MANPAGE(man-kxstitch.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
