=== icons/CMakeLists.txt ===
ECM_INSTALL_ICONS(ICONS
    22-actions-kxstitch-3quarter-stitch.png
    22-actions-kxstitch-backstitch.png
    22-actions-kxstitch-center-pattern.png
    22-actions-kxstitch-color-add.png
    22-actions-kxstitch-draw-ellipse-filled.png
    22-actions-kxstitch-draw-rectangle-filled.png
    22-actions-kxstitch-extend-pattern.png
    22-actions-kxstitch-format-justify-bottom.png
    22-actions-kxstitch-format-justify-middle.png
    22-actions-kxstitch-format-justify-top.png
    22-actions-kxstitch-frenchknot.png
    22-actions-kxstitch-full-stitch.png
    22-actions-kxstitch-half-stitch.png
    22-actions-kxstitch-quarter-stitch.png
    22-actions-kxstitch-small-full-stitch.png
    22-actions-kxstitch-small-half-stitch.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

add_subdirectory(app)
