=== schemes/CMakeLists.txt ===
file(GLOB _schemes "*.xml")
install(FILES ${_schemes} DESTINATION ${DATA_INSTALL_DIR}/kxstitch/schemes)
