=== debian/changelog ===
kxstitch (2.2.0-1) unstable; urgency=medium

  * Update VCS entries.
  * Update my name in Uploaders.
  * Remove extra patches/ folder.
  * Refresh upstream signing key.
  * New upstream release.
  * Update my email.
  * Refresh copyright file with correct PO copyrights.
  * Remove patch applied upstream.
  * Move to dh_missing.
  * Remove autopkg tests as this does not have any tests.
  * Bump compat to 12.
  * Add back tests as there is 1 test.
  * Bump standards version to 4.3.0 - no changes needed.
  * Add upstream metadata.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Tue, 16 Jul 2019 09:43:31 -0700
