=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: kxstitch
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Clark <sgclark@kde.org>
+Uploaders: Scarlett Moore <sgmoore@kde.org>
 Section: misc
 Priority: optional
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+               debhelper (>= 12),
                extra-cmake-modules,
                libkf5completion-dev,
                libkf5config-dev,
@@ -18,11 +18,11 @@
                libmagick++-6.q16-dev,
                libqt5x11extras5-dev,
                qtbase5-dev,
-               shared-mime-info
-Standards-Version: 4.1.3
+               shared-mime-info,
+Standards-Version: 4.3.0
 Homepage: https://www.kde.org/applications/graphics/kxstitch
-Vcs-Browser: https://salsa.debian.org/git/pkg-kde/kde-extras/kxstitch.git
-Vcs-Git: https://salsa.debian.org/git/pkg-kde/kde-extras/kxstitch
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kxstitch
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kxstitch.git
 
 Package: kxstitch
 Architecture: any
