## kxstitch 2.2.0+p24.04+vstable+git20250908.0822

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20250908.0822-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 08:22:10 +0000

kxstitch (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commits 19b641c68c8a9ce11fdabb86f3cec6ddec59dfbc, and
    11f715597e64e6901428de81f7fa1944026c8eca to fix the AppStream metadata;
    patches upstream_Improve-appdata.patch, and
    upstream_Update-kxstitch-appdata-to-pass-flathub-validation.patch.
  * Backport upstream commit c9e6a03c32fe6e6901fad8439bf2235ddb8c288c to fix
    the rendering on certain occasions; patch
    upstream_Fix-for-rendering-on-scaled-painter.patch.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update the references to the upstream Git repository in
    debian/upstream/metadata.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_install, as it is the default for
      dh_missing now
  * Small tweaks to copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Feb 2021 08:02:21 +0100

kxstitch (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Use the kf5 dh addon, so e.g. docbook files are not compressed
    - add the pkg-kde-tools build dependency
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Move the appdata file together with the executable, i.e. from
    kxstitch-common to kxstitch
    - add proper breaks/replaces
  * Tighten the kxstitch-common dependency in kxstitch.
  * Explicitly add the gettext build dependency.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Feb 2020 14:04:23 +0100

kxstitch (2.1.1-0) unstable; urgency=medium

  * Initial package

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 06 Feb 2018 16:39:37 +0000
