## kxstitch 2.2.0+p24.04+vstable+git20250909.0648

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20250909.0648-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:48:40 +0000
