## kxstitch 2.2.0+p24.04+vstable+git20251222.0216

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20251222.0216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 02:16:53 +0000
